# Time-stamp: <Wed Sep 29 2010 21:29:51 Stardate: Stardate: [-28]3759.06 hwloidl>
#
# Targets for all Makefiles underneath.
# -----------------------------------------------------------------------------

all: $(TARGET)

%$(_WAY): %.hs
	@if [ -z "$(way)" ] ; then echo "Compiling sequential prg $(TARGET); do 'make way=thr_l' for parallel build, 'make way=thr_l launch' for running it" ; fi
	$(GHC) --make $(ALL_FLAGS) $(WAY_FLAGS) $(FLAGS$(_WAY)) -o $@ $^

%$(_WAY): %.lhs
	@if [ -z "$(way)" ] ; then echo "Compiling sequential prg $(TARGET); do 'make way=thr_l' for parallel build, 'make way=thr_l launch' for running it" ; fi
	$(GHC) --make $(ALL_FLAGS) $(WAY_FLAGS) $(FLAGS$(_WAY)) -o $@ $^


launch: $(TARGET)
	@./$< $(INPUTS_$(subst $(_WAY),,$(TARGET))) $(RTS_FLAGS$(_WAY))

view:	
	@if [ -z "$(way)" ] ; then echo "Hmm, no eventlog for seq exec; did you mean 'make view=thr_l'?" ; fi
	threadscope $(TARGET).eventlog

clean: 
ifeq "$(way)" ""
	-rm *.o *_o *.hi *_hi $(TARGET) $(TARGET)_thr
else
	-rm *.o *_o *.$(way)_o *.hi *_hi *.$(way)_hi $(TARGET)
endif